Subject: User manual does not explain Profiles (nor GUIX_PROFILE)

From: Luis Felipe <[email-masked]>
Date: Fri, 26 Feb 2021 21:24:41 +0000

The Guix reference manual does not seem to explain what profiles are.

## Steps to reproduce

Assuming you are browsing the Guix reference manual in Info:

1. Type i (to search for an index topic).
2. Type the word profile and hit Enter.
3. Type , repeatedly to explore all the parts of the manual related to profiles.

## Expected result

At some point, I get to a section defining what is a profile exactly, a profile of what, what can I get from using one or many of them, what is the GUIX_PROFILE variable, does it accept a single path to a profile or more, and some use cases and examples.

## Unexpected result

I see profiles are mentioned in places where they can be used, but the text assumes I know what a profile is.

Similarly, the GUIX_PROFILE variable doesn't seem to be defined. It seems missing from the concept and programming indices.

## Additional information

The "Guix Profiles in Practice" recipe in the cookbook defines profiles to some extent. Maybe some of this information can be used in the manual?

---
Luis Felipe López Acevedo
https://luis-felipe.gitlab.io/